function::kernel_string_n
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::kernel_string_n — Retrieves string of given length from kernel memory

## Synopsis

        kernel_string_n:string(addr:long,n:long)

## Arguments

`addr`

  The kernel address to retrieve the string from

`n`

  The maximum length of the string (if not null terminated)

## Description

Returns the C string of a maximum given length from a given kernel memory address. Reports an error on string copy fault.

Prev | Up | Next
function::kernel_string | Home | function::kernel_string_quoted